#pragma once

struct BoundaryFiniteElement {
    BoundaryFiniteElement(int id, int surfaceId, std::vector<int > nodesId) : id(id), surfaceId(surfaceId), nodesId(std::move(nodesId)) {}

    int id;
    int surfaceId;
    std::vector<int > nodesId;
};

std::ostream& operator<<(std::ostream& out, const BoundaryFiniteElement& elem) {
  out << "Boundary element: " << elem.id
  << " Surface id: " << elem.surfaceId
  << "Nodes id list: ";
  for (const auto& index : elem.nodesId) {
    out << index << ' ';
  }

  return out;
}

