#pragma once

#include <utility>
#include <vector>
#include <fstream>

struct Node {
    Node(int id, std::vector<float> coordinates, bool isElementVertice) : id(id), coordinates(std::move(coordinates)), isElementVertice(isElementVertice) {}
    int id;
    std::vector<float> coordinates;
    bool isElementVertice;

    bool operator==(const Node& node) const;
    bool operator<(const Node& node) const;
    friend std::ostream& operator<<(std::ostream& out, const Node& node);
    friend std::ostream& operator<<(std::ostream& out, const std::vector<Node>& nodes);
};